/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */

/// GetX is an extra-light and powerful multi-platform framework.
/// It combines high performance state management, intelligent dependency
/// injection, and route management in a quick and practical way.
library get;

export "get_animations/index.dart";
export "get_common/get_reset.dart";
export "get_connect/connect.dart";
export "get_core/get_core.dart";
export "get_instance/get_instance.dart";
export "get_navigation/get_navigation.dart";
export "get_rx/get_rx.dart";
export "get_state_manager/get_state_manager.dart";
export "get_utils/get_utils.dart";
export "route_manager.dart";
