/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */

import "../get_utils/get_utils.dart";

extension GetDynamicUtils on dynamic {
  bool? get isBlank => GetUtils.isBlank(this);

  void printError(
          {String info = "", Function logFunction = GetUtils.printFunction}) =>
      // ignore: unnecessary_this
      logFunction("Error: ${this.runtimeType}", this, info, isError: true);

  void printInfo(
          {String info = "",
          Function printFunction = GetUtils.printFunction}) =>
      // ignore: unnecessary_this
      printFunction("Info: ${this.runtimeType}", this, info);
}
