/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */

import "package:get/get_connect/sockets/src/sockets_channel.dart";

export "src/sockets_channel.dart";
export "src/sockets_enum.dart";
export "src/sockets_io.dart";

//TODO：测试新的WebSocket是否正常
// class GetSocket extends BaseWebSocket {
//   GetSocket(super.url,
//       {super.allowSelfSigned,
//       super.protocols,
//       super.headers,
//       super.compression,
//       super.customClient,
//       required super.socketStatus,
//       required Duration connectTimeout});
// }
class GetSocket extends NewBaseWebSocket {
  GetSocket(super.url,
      {super.connectTimeout,
      super.allowSelfSigned,
      super.protocols,
      super.headers,
      super.compression,
      super.customClient,
      required super.socketStatus});
}
